summaryrefslogtreecommitdiff
path: root/dev-python/dask-expr/dask-expr-1.0.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-13 12:13:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-13 12:13:57 +0000
commit3f36b0c1f814c0db9d0ae15b2a296b3d7bf9372c (patch)
treea9cc5ef7493887f1536592db7c5b290e1d2eadbb /dev-python/dask-expr/dask-expr-1.0.1.ebuild
parentb4803079ccaf30833a1b3e6cdca144b6907a3657 (diff)
downloadbaldeagleos-repo-3f36b0c1f814c0db9d0ae15b2a296b3d7bf9372c.tar.gz
baldeagleos-repo-3f36b0c1f814c0db9d0ae15b2a296b3d7bf9372c.tar.xz
baldeagleos-repo-3f36b0c1f814c0db9d0ae15b2a296b3d7bf9372c.zip
Adding metadata
Diffstat (limited to 'dev-python/dask-expr/dask-expr-1.0.1.ebuild')
-rw-r--r--dev-python/dask-expr/dask-expr-1.0.1.ebuild56
1 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/dask-expr/dask-expr-1.0.1.ebuild b/dev-python/dask-expr/dask-expr-1.0.1.ebuild
new file mode 100644
index 000000000000..f7ece1823e77
--- /dev/null
+++ b/dev-python/dask-expr/dask-expr-1.0.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="High Level Expressions for Dask"
+HOMEPAGE="
+ https://github.com/dask/dask-expr/
+ https://pypi.org/project/dask-expr/
+"
+# pypi tarball removes tests, as of 1.0.1
+SRC_URI="
+ https://github.com/dask/dask-expr/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/dask-2024.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pyarrow-7.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pandas-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin
+ sed -i -e '/dask/s:==:>=:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires distributed
+ 'dask_expr/tests/test_shuffle.py::test_respect_context_shuffle[shuffle]'
+ )
+ local EPYTEST_IGNORE=(
+ # requires distributed
+ dask_expr/io/tests/test_parquet.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}